XSaveContext(3)

NAME
XSaveContext, XFindContext, XDeleteContext, XUniqueContext - associative look-up routines

SYNTAX

int XSaveContext(Display *display, XID rid, XContext context, XPointer data);

int XFindContext(Display *display, XID rid, XContext context, XPointer *data_return);

int XDeleteContext(Display *display, XID rid, XContext context);

XContext XUniqueContext(void);

ARGUMENTS

context
    Specifies the context type to which the data belongs.

data
    Specifies the data to be associated with the window and type.

data_return
    Returns the data.

display
    Specifies the connection to the X server.

rid Specifies the resource ID with which the data is associated.

DESCRIPTION
If an entry with the specified resource ID and type already exists, overrides it with the specified context. The function returns a nonzero error code if an error has occurred and zero otherwise. Possible errors are (out of memory).

Because it is a return value, the data is a pointer. The function returns a nonzero error code if an error has occurred and zero otherwise. Possible errors are (context-not-found).

The function deletes the entry for the given resource ID and type from the data structure. This function returns the same error codes that returns if called with the same arguments. does not free the data whose address was saved.

The function creates a unique context type that may be used in subsequent calls to

SEE ALSO
Xlib - C Language X Interface